### Method

# Handy SearchBar connect_entry

since: 1.0

#### Declaration [src]

    void
    hdy_search_bar_connect_entry (
      HdySearchBar* self,
      GtkEntry* entry
    )

#### Description [src]

Sets the entry widget passed as the one to be used in this search bar.

The entry should be a descendant of the search bar. This is only required if the entry isn’t the direct child of the search bar (as in our main example).

Available since: 1.0

#### Parameters

`entry`

  Type: `GtkEntry`

  An entry.

  The data is owned by the caller of the method.